Internal site. Jolli authentication required to view.
Skip to Content
API ReferenceInput ConnectorsGET /v0/pipelines/{pipeline_name}/tables/{table_name}/connectors/{connector_name}/stats

Get Input Status

GET/v0/pipelines/{pipeline_name}/tables/{table_name}/connectors/{connector_name}/statsInput Connectors

Try it

GET/v0/pipelines/{pipeline_name}/tables/{table_name}/connectors/{connector_name}/stats
Authentication
Parameters

Retrieve the status of an input connector.

Authentication

  • JSON web token (JWT) or API keyBearer token

Parameters

Path parameters

NameTypeRequiredDescription
pipeline_namestringYesUnique pipeline name
table_namestringYesUnique table name
connector_namestringYesUnique input connector name

Response

200Input connector status retrieved successfullyapplication/json
  • object
    Input endpoint status information.
    • barrierbooleanrequired
      Endpoint is currently a barrier to checkpointing and suspend.
    • completed_frontierobject
    • configobjectrequired
      Schema definition for endpoint config that only includes the stream field.
    • endpoint_namestringrequired
      Endpoint name.
    • fatal_errorstring
      The first fatal error that occurred at the endpoint.
    • healthobject
    • metricsobjectrequired
      Performance metrics for an input endpoint.
    • parse_errorsConnectorError[]
      Recent parse errors on this endpoint.
    • pausedbooleanrequired
      Endpoint has been paused by the user.
    • transport_errorsConnectorError[]
      Recent transport errors on this endpoint.
404Pipeline, table and/or input connector with that name does not existapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
500application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
503application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
Request
curl -X GET 'https://api.example.com/v0/pipelines/{pipeline_name}/tables/{table_name}/connectors/{connector_name}/stats' \ -H 'Authorization: Bearer YOUR_TOKEN'